{Specs for IBM tape access procedures}

%external %routine %spec        MOVE (%integer bytes, %name from,to)
%external %routine %spec        MOVE STRING (%string(255) s, %name to)
%external %string(*) %map %spec STRING OF (%integer bytes, %name where)
%external %routine %spec        FILL (%name buffer, %integer fill char, size)
%external %string(*) %map %spec FIELD (%integer width, %string(*)%name source)
%external %predicate %spec      EQUAL (%integer bytes, %name buffer1, buffer2)
%external %integer %fn %spec    STOI (%string(31) s)

%external %routine %spec        CLAIM MT (%integer how many, wait)
%external %routine %spec        LOAD MT (%integer chan, flags, %string(6) vol)
         %const %integer        {FLAGS}   %c
                                ISO = 1,
                                Append = 2,
                                Hazard = 4,
                                Vol labels only = 8
%external %routine %spec        OPEN MT IN (%integer chan,
                                            %string(17) filename,
                                            %integer File no,
                                                     Record length, block size,
                                                     Flags)
%external %routine %spec        OPEN MT OUT(%integer chan,
                                            %string(17) filename,
                                            %integer File no,
                                                     Record length, block size,
                                                     Flags)
         %const %integer        {Flags for OPENMT procedures} %c
                                Variable = 1,
                                Unblocked = 2

%external %routine %spec        READ MT (%integer chan,
                                         %integer %name bytes,
                                         %name buffer)
%external %routine %spec        WRITE MT(%integer chan,
                                         %integer %name bytes,
                                         %name buffer)

%external %routine %spec        CLOSE MT(%integer chan)
%external %routine %spec        UNLOAD MT (%integer chan)
%external %routine %spec        RELEASE MT (%integer which)

%end %of %file
